This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 199219 - fc5 samba update applied 7/17/06 broke pam.
fc5 samba update applied 7/17/06 broke pam.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
5
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-17 22:45 EDT by Michael Breuer
Modified: 2014-08-31 19:28 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.0.23a-1.fc5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 11:46:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 3920 None None None Never

  None (edit)
Description Michael Breuer 2006-07-17 22:45:36 EDT
Description of problem:

After installing latest update (yum update), all login attempts for non-root
user(s) fail with: 

Jul 17 22:42:06 mail pam_winbind[2980]: request failed, but PAM error 0!
Jul 17 22:42:06 mail pam_winbind[2980]: internal module error (retval = 3, user
= `<user name redacted>')
Jul 17 22:42:06 mail login[2980]: Error in service module


Note: problem occured before and after reboot (new kernel).

Version-Release number of selected component (if applicable):
pam-0.99.4.0-fc5.4

All updates applied on 7/17/06:
Jul 17 05:09:16 Updated: samba-common.i386 3.0.23-1.fc5
Jul 17 05:09:29 Updated: samba.i386 3.0.23-1.fc5
Jul 17 05:10:48 Updated: kdelibs.i386 6:3.5.3-0.4.fc5
Jul 17 05:10:49 Updated: flex.i386 2.5.4a-39.fc5
Jul 17 05:11:31 Installed: kernel.i686 2.6.17-1.2157_FC5
Jul 17 05:11:37 Updated: samba-swat.i386 3.0.23-1.fc5
Jul 17 05:11:40 Updated: samba-client.i386 3.0.23-1.fc5
Jul 17 05:14:06 Installed: kernel-devel.i686 2.6.17-1.2157_FC5
Jul 17 22:16:25 Updated: rrdtool.i386 1.2.15-1.fc5
Jul 17 22:16:25 Updated: rrdtool-devel.i386 1.2.15-1.fc5



How reproducible:
DK.

Steps to Reproduce:
1.Run normally... apply updates as noted.
2.
3.
  
Actual results:
Login failure for non-root users.

Expected results:
Successful login.

Additional info:
No configuration changes were made by the update (maybe there should have been).

I was able to recover service by running authconfig and disabling winbind.

While I'm back running, I marked this urgent just in case this might affect more
users as they update.  I apply updates nightly.
Comment 1 Robson Miranda 2006-07-25 10:54:10 EDT
Also I noticed that the "winbind use default domain" configuration option, when
setted, also returns all usernames and groups with the domain name attached.
This also broke my sudo setup.
Comment 2 Robson Miranda 2006-07-25 11:03:19 EDT
It seems that Samba 2.0.23a solves this issue.

https://bugzilla.samba.org/show_bug.cgi?id=3920
Comment 3 Fedora Update System 2006-07-26 15:39:51 EDT
samba-3.0.23a-1.fc5.1 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Nalin Dahyabhai 2006-09-01 11:46:26 EDT
No activity in the last month or so, closing.

Note You need to log in before you can comment on or make changes to this bug.